#include <bits/stdc++.h>

using namespace std;

void swap(double* a, double* b)
{
    double t = *a;
    *a = *b;
    *b = t;
}
int partition (double arr1[], double arr2[], int low, int high)
{
    double pivot = arr1[high];
    int i = (low - 1);
    for (int j = low; j <= high - 1; j++)
    {
        if (arr1[j] < pivot)
        {
            i++;
            swap(&arr1[i], &arr1[j]);
            swap(&arr2[i], &arr2[j]);
        }
    }
    swap(&arr1[i + 1], &arr1[high]);
    swap(&arr2[i + 1], &arr2[high]);
    return (i + 1);
}
void quickSort(double arr1[], double arr2[], int low, int high)
{
    if (low < high)
    {
        int pi = partition(arr1, arr2, low, high);
        quickSort(arr1, arr2, low, pi - 1);
        quickSort(arr1, arr2, pi + 1, high);
    }
}
void printArray(double arr[], int size)
{
    int i;
    for (i = 0; i < size; i++)
        cout << arr[i] << " ";
    cout << endl;
}
void psum(double a[], double psa[], int n)
{
    psa[0] = a[0];
    for(int i = 1; i < n; i++)
    {
        psa[i] = psa[i - 1] + a[i];
    }
}
double funkcija(double psa[], double p[], int n)
{
    double max = 0;
    double h = 100;
    for(int i = 0; i < n; i++)
    {
        if(i == 0)
        {
            max = psa[n - 1] * p[i] / h;
        }
        else
        {
            double temp = (psa[n - 1] - psa[i - 1]) * p[i];
            temp/=h;
            if(temp > max)
            {
                max = temp;
            }
        }

    }
    return max;
}
int main()
{
    int n;
    cin >> n;
    double a[n];
    double p[n];
    double psa[n];
    for(int i = 0; i < n; i++)
    {
        double x, y;
        cin >> x >> y;
        a[i] = x;
        p[i] = y;
    }
    quickSort(p, a, 0, n - 1);
    psum(a, psa, n);
    cout << funkcija(psa, p, n) << endl;
    return 0;
}